Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## messenger
Class FXTradeReport

    java.lang.Object
      messenger.FXTradeReport

    public class FXTradeReport

extends java.lang.Object

Contains fields and getter methods for a FX trade report.

Field Summary
`static char` | `BUY` Integer used to specify the buy side of a trade.
`static char` | `ORDER_FILLED` Integer used to specify that a trade request has been filled.
`static char` | `ORDER_REJECTED` Integer used to specify that a trade request has been rejected.
`static char` | `SELL` Integer used to specify the sell side of a trade.

Constructor Summary
`FXTradeReport(java.lang.String username, java.lang.String clientOrderID, java.lang.String currencyPair, double amount, char side, java.lang.String orderID, double price, char status)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares fx trade reports and returns true if the client order IDs and order IDs are the same.
`double` | `getAmount()` Returns amount requested to trade.
`java.lang.String` | `getClientOrderID()` Returns clientID.
`java.lang.String` | `getCurrencyPair()` Returns currency pair.
`java.lang.String` | `getOrderID()` Returns order ID.
`double` | `getPrice()` Returns price of currency pair
`char` | `getSide()` Returns the side of order.
`char` | `getStatus()` Return status of FX trade.
`java.lang.String` | `getUsername()` Return trader username.
`java.lang.String` | `toString()` Pretty print for FX Trade Report.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUY

    public static final char BUY

  Integer used to specify the buy side of a trade.

  See Also:
    Constant Field Values

### SELL

    public static final char SELL

  Integer used to specify the sell side of a trade.

  See Also:
    Constant Field Values

### ORDER_FILLED

    public static final char ORDER_FILLED

  Integer used to specify that a trade request has been filled.

  See Also:
    Constant Field Values

### ORDER_REJECTED

    public static final char ORDER_REJECTED

  Integer used to specify that a trade request has been rejected.

  See Also:
    Constant Field Values

Constructor Detail

### FXTradeReport

    public FXTradeReport(java.lang.String username,
                         java.lang.String clientOrderID,
                         java.lang.String currencyPair,
                         double amount,
                         char side,
                         java.lang.String orderID,
                         double price,
                         char status)

Parameters:
  `clientOrderID` - clientID
  `currencyPair` - currency pair in format XXX/YYY
  `amount` - amount requested
  `side` - side of order
  `orderID` - orderID
  `price` - price of currency pair
  `status` - status of trade

Method Detail

### getClientOrderID

    public java.lang.String getClientOrderID()

  Returns clientID.

  Returns:
    clientOrderID

### getCurrencyPair

    public java.lang.String getCurrencyPair()

  Returns currency pair.

  Returns:
    currencyPair

### getAmount

    public double getAmount()

  Returns amount requested to trade.

  Returns:
    amount

### getSide

    public char getSide()

  Returns the side of order.

  Returns:
    side

### getOrderID

    public java.lang.String getOrderID()

  Returns order ID.

  Returns:
    orderID

### getPrice

    public double getPrice()

  Returns price of currency pair

  Returns:
    currencyPair

### getStatus

    public char getStatus()

  Return status of FX trade.

  Returns:
    status

### getUsername

    public java.lang.String getUsername()

  Return trader username.

  Returns:
    status

### toString

    public java.lang.String toString()

  Pretty print for FX Trade Report.

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Compares fx trade reports and returns true if the client order IDs and order IDs are the same.

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD